Subject: Ticket Assigned - Order not delivered
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 25 Jun 2022 07:04:15 +0000

Hi Hilah Alolayan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order not delivered My order number is 6149897108
I placed my order on 16gh June 2022 it was an COD order. On Sunday I
received an sms from Aramex to do the payment using card so that I can get
my parcel
WHAT IS THE POINT OF CASH ON DELIVERY IF THEY TELL ME TO DO PAYMENT USING
DEBIT OR CREDIT CARD?
PLEASE se to the matter and send me the parcel ASAP
Hoping for the best.

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4524509